Extension

Developer
Supported

Required Expiry Date

ExpressionEngine 2

Back to this add-on's main page
View Other Add-ons From Laisvunas

     

You must be logged in to post.

Creating default object from empty value

General

oskrnav
oskrnav

Hello

I am using your plugin in my channel but when i try make a post have this issue :

A PHP Error was encountered

Severity: Warning

Message: Creating default object from empty value

Filename: required_expiry_date/ext.required_expiry_date.php

Line Number: 255

and then have other message :

An Error Was Encountered
You are not authorized to access this page

can you helpme with this issue please
?

petenice
# 1
petenice

Same problem here. Hoping for a fix.

A PHP Error was encountered
Severity: Warning
Message: Creating default object from empty value
Filename: required_expiry_date/ext.required_expiry_date.php
Line Number: 256

ExpressionEngine v2.11.1
Required Expiry Date 1.0.1

kubik101
# 2
kubik101

Had the same issue using EE 2.11.9 and Required Expiry Date 1.0.1.

I looked up line number 255 and googled

$this->extensions->end_script TRUE

And found this post: https://devot-ee.com/add-ons/support/social-sign-on/viewthread/7240

So I tried swapping the before mentioned code with the following and it has solved the issue for me.

if ($this->EE->extensions->end_script === TRUE) return;